summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gabriel <mike.gabriel@das-netzwerkteam.de>2018-07-02 12:56:26 +0200
committerMike Gabriel <mike.gabriel@das-netzwerkteam.de>2018-07-02 12:56:26 +0200
commit27296c4797bc3c80adc2d7934dcac3bd324cdd42 (patch)
tree8f2ea2abdf7631df3ea13417e3060104f0d8dc34
parent1f8ae74c223ed015db92cd8c8dc9af471ad22024 (diff)
downloaditzks-systems-27296c4797bc3c80adc2d7934dcac3bd324cdd42.tar.gz
itzks-systems-27296c4797bc3c80adc2d7934dcac3bd324cdd42.tar.bz2
itzks-systems-27296c4797bc3c80adc2d7934dcac3bd324cdd42.zip
itzks-transfer-create: Silence fstab grepping at end of script.
-rwxr-xr-xsbin/itzks-transfer-create2
1 files changed, 1 insertions, 1 deletions
diff --git a/sbin/itzks-transfer-create b/sbin/itzks-transfer-create
index f18a2db..2d006e9 100755
--- a/sbin/itzks-transfer-create
+++ b/sbin/itzks-transfer-create
@@ -110,7 +110,7 @@ setfacl -m d:o::--- s*
cd - 1>/dev/null
-if ! cat /etc/fstab | grep ${transfer_mount_point} | grep -E ".*(\s|,)acl(,|\s).*"; then
+if ! cat /etc/fstab | grep ${transfer_mount_point} | grep -qE ".*(\s|,)acl(,|\s).*"; then
echo "WARNING: ${transfer_mount_point} does not support ACLs. Enable ACL support in /etc/fstab."
mount -o remount,noacl "${transfer_mount_point}"
fi